Opened 10 years ago

Closed 7 years ago

#33837 closed defect (wontfix)

py31-django-nose: Dependency 'py31-django' not found

Reported by: ryandesign (Ryan Schmidt) Owned by: petrrr
Priority: Normal Milestone:
Component: ports Version: 2.0.4
Keywords: Cc:
Port: py31-django-nose

Description

DEBUG: Starting logging for py31-django-nose
--->  Computing dependencies for py31-django-nose
DEBUG: Searching for dependency: py31-django
DEBUG: Didn't find receipt, going to depspec regex for: py31-django
Error: Dependency 'py31-django' not found.
Error: Status 1 encountered during processing.

See also #31241.

Change History (11)

comment:1 Changed 10 years ago by ryandesign (Ryan Schmidt)

Port: py32-django-nose added
--->  Computing dependencies for py32-django-nose
DEBUG: Searching for dependency: py32-django
DEBUG: Didn't find receipt, going to depspec regex for: py32-django
Error: Dependency 'py32-django' not found.

comment:2 Changed 9 years ago by jmroot (Joshua Root)

Owner: changed from singingwolfboy@… to macports-tickets@…
Port: py32-django-nose removed

-> nomaintainer

py32-django was added in r104351

comment:3 Changed 7 years ago by petrrr

Cc: petr@… added

Cc Me!

comment:4 Changed 7 years ago by petrrr

Python 3.1 and 3.2 are deprecated and should be removed. Keeping this open to track removal of the ports.

comment:5 Changed 7 years ago by petrrr

py-django-nose @0.1.3 does not install with Python 3.3 and 3.4

  File "/opt/local/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-packages/django_nose/runner.py", line 83
    print ' '.join(nose_argv)
            ^
SyntaxError: invalid syntax

comment:6 Changed 7 years ago by petrrr

In r126520 py-django-nose is updated to 1.2, which build fine with Python 3.3 and 3.4. Note that only py34 subport was added, as py33 was never implemented. Python 3.1 and 3.2 were removed.

comment:7 Changed 7 years ago by petrrr

In r126519 py32-django was removed again and added to py-graveyard in r126522.

Last edited 7 years ago by petrrr (previous) (diff)

comment:8 Changed 7 years ago by petrrr

I guess this ticket can be closed now. What would be the correct resolution type here? Won't fix, because we just deprecated py31-django-nose, right?

comment:9 Changed 7 years ago by petrrr

Cc: petr@… removed
Owner: changed from macports-tickets@… to petr@…
Status: newassigned

comment:10 Changed 7 years ago by mf2k (Frank Schima)

Yes, won't fix seems appropriate here.

comment:11 Changed 7 years ago by petrrr

Resolution: wontfix
Status: assignedclosed
Note: See TracTickets for help on using tickets.